function pbeDef = snyderCuboidDissolution_4_handmade()

% load approximation
dataApprox = load('/data/havena/elk-dev/code-matlab/cs-dynamic-approximation/database/snyderCuboidDissolution_4_handmade.matx', '-mat');
dataApprox = dataApprox.dataApprox;
% substitute in pbe data
pbeDef = snyderCuboidDissolution;
pbeDef.dec = dataApprox.dec;

% project initial condition
pbeDef.seeding.positionMatrix = pbeDef.dec.properData.mappingProperToNew*pbeDef.seeding.positionMatrix;
size(pbeDef.seeding.positionMatrix)

% project growth rate
pbeDef.growthRate = @(H, P, y, t)(...
    pbeDef.dec.properData.mappingProperToNew*...
    pbeDef.growthRateOriginal(H,P,y,t));

% ensure solver does not use any limiting
pbeDef.optionStruct.limitGrowthRate = 0;